Description
ruby 1.9.1p376 (2009-12-07 revision 26041) [x86_64-linux]

:HookClientCreate => lambda { |c| puts c.views }

That hook always lists every view, instead of just the views that the client is on.

History

#1 - 12/13/2009 07:08 PM - Jonathan Dahan

:HookClientConfigure => lambda { |c| puts c.views }

Exhibits the same behavior. This has also been confirmed by robgleeson.

#2 - 12/14/2009 05:14 PM - Christoph Kappel
Fixed in r1655.

#3 - 12/14/2009 05:14 PM - Christoph Kappel

- Status changed from Unconfirmed to Fixed
